Subject: bug#7923: 23.2; Shell PATH environment variable problem

From: John McHugh <[email-masked]>
Date: Thu, 27 Jan 2011 17:33:41 -0500

Stefan

I don't think this is the problem

In OS X, Leopard, the initial $PATH setting comes from a property list file

~/.MacOSX/environment.plist  

This file contains a list of properties and their initial values.  In this case, the properties are environment variables.
The value for the PATH is 

/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin

According to the OS X Leopard documentation, the contents of files in /etc/paths.d is then added to PATH.  This allows software packages to add their specific bin directories without consideration of the specific shell to be used, or the user using the machine.  Installing X11 adds a file to this directory containing the path to X11 binaries.

Now, if I issue the emacs command "shell-command echo $PATH" I get the PATH value that is in the plist file.  If I change the plist file, output of that command changes, as well.

What is not happening is that the additional files in /etc/paths.d are not being added to the path.

Since my shell for shell windows in emacs is bash, my .bashrc file is being executed since, they appear in the PATH echoed from a shell window in emacs.

Is there an explanation of how emacs sets the path for shell commands?

John